/* Autor: Sergio Blanco Cuaresma
 * Data: Agost 2002
 * Descripci: TAD Node per el graf que simbolitzara una conexi entre 2 pgines web
 */

public class NodeGraf {
  private int etiqueta;
  private NodeGraf seg_col, seg_fila; // Punters a la seguent connexi (aix formem llistes)
  private Object vx, vy;  // Punters a objectes de la llista (origen, desti respectivament)

  NodeGraf(int etiq, NodeGraf s_col, NodeGraf s_fila, Object o1, Object o2){
    etiqueta=etiq;
    seg_col=s_col;
    seg_fila=s_fila;
    vx=o1;
    vy=o2;
  }

  public void seg_columna(NodeGraf o){
    seg_col=o;
  }

  public void seg_fila(NodeGraf o){
    seg_fila=o;
  }

  public void etiqueta(int etiq){
    etiqueta = etiq;
  }

  public int etiqueta(){
    return etiqueta;
  }

  public NodeGraf seg_columna(){
    return seg_col;
  }

  public NodeGraf seg_fila(){
    return seg_fila;
  }

  public Object vx(){
    return vx;
  }

  public Object vy(){
    return vy;
  }

  public void vx(Object o){
    vx=o;
  }

  public void vy(Object o){
    vy=o;
  }
}
