 
/* 
 Programa de prova de la tercera practica, curs 2001-2002
 Cal assegurar-se de que la practica passa aquest joc de proves abans d'entregar-la
 */

public class prova3 {

/*
-- Suposicions fetes:
-- El tipus "www" esta definit a la class "Graf"
-- que te un constructor amb 1 parametre: nombre maxim de planes web que hi haura
-- a l'estructura.
-- Disposem d'una operacio imprimir_llista(l) que imprimeix
-- la llista per pantalla (en una class TAD_llista)
-- Prova: 100 planes web
*/ 


    /* Suposem que no s'ha canviat la signatura de les ops.
     * Suposem que existeix una operacio imprimir() que mostra el millor posible
     * per pantalla el contingut de l'estructura o (imprescindible per fer jocs de proves !!!)
     */
    
    public static void mostra(Graf w) throws PDIdreta{
        w.imprimir();
    }
    

    public static void main (String[] args) throws NoMemoria, PDIdreta, NoExisteix, NoConnexio,TempsNegatiu, NodesIguals {

      Graf w = null; 

      /*
      -- Suposem que no s'ha canviat la signatura de les ops.
      -- Suposem que existeix una operacio imprimir(o) que mostra el millor posible
      -- per pantalla el contingut de l'estructura o (imprescindible per fer jocs de proves !!!)
      -- Se suposa que en les operacions constructores l'estructura www es un parametre d'entrada/sortida. 
      */

      w = new Graf();
  
  mostra(w);  // -- mostra l'estructura buida
  
  // introduim uns quants links
  // li dic a les operacions afegir_link/nombre_minim_links per no tenir problemes amb cs trencades 

  w.afegir_link("www.thetimes.co.uk","www.tinet.org",4);
  w.afegir_link("www.thetimes.co.uk","www.agentlink.org",3);
  w.afegir_link("www.thetimes.co.uk","www.nytimes.com",6);
  w.afegir_link("www.tinet.org","www.agentlink.org",4);
  w.afegir_link("www.tinet.org","www.elmundodeportivo.es",3);
  w.afegir_link("www.tinet.org","www.urv.es",12);
  w.afegir_link("www.agentlink.org","www.elmundodeportivo.es",3);
  w.afegir_link("www.agentlink.org","www.diaridetarragona.es",3);
  w.afegir_link("www.elmundodeportivo.es","www.lavanguardia.es",5);
  w.afegir_link("www.lavanguardia.es","www.urv.es",3);
  w.afegir_link("www.urv.es","www.avui.es",4);
  w.afegir_link("www.avui.es","www.nytimes.com",6);
  w.afegir_link("www.diaridetarragona.es","www.avui.es",5);
  w.afegir_link("www.diaridetarragona.es","www.marca.es",2);
  w.afegir_link("www.nytimes.com","www.elmundodeportivo.es",2);
  w.afegir_link("www.nytimes.com","www.diaridetarragona.es",1);
  
  mostra(w);

  // fem algunes consultes

  System.out.println(w.temps_minim_connexio("www.thetimes.co.uk","www.avui.es"));   // 11
  System.out.println(w.temps_minim_connexio("www.thetimes.co.uk","www.urv.es"));   // 14
  //System.out.println(w.temps_minim_connexio("www.urv.es","www.thetimes.co.uk"));   // error, no hi ha connexio
  //System.out.println(w.temps_minim_connexio("www.thetimes.co.uk","www.elpais.es"));  // error, no existeix "www.elpais.es"
  System.out.println(w.temps_minim_connexio("www.tinet.org","www.urv.es"));   //11
  System.out.println(w.temps_minim_connexio("www.thetimes.co.uk","www.marca.es"));  // 8
  System.out.println(w.temps_minim_connexio("www.thetimes.co.uk","www.nytimes.com")); // 6
  
  w.cami_optim("www.thetimes.co.uk","www.avui.es").imprimir_llista(); // "www.thetimes.co.uk","www.agentlink.org","www.diaridetarragona.es","www.avui.es"
  w.cami_optim("www.thetimes.co.uk","www.urv.es").imprimir_llista(); // "www.thetimes.co.uk","www.agentlink.org","www.elmundodeportivo.es","www.lavanguardia.es"
  //w.cami_optim("www.urv.es","www.thetimes.co.uk").imprimir_llista(); // error 
  //w.cami_optim("www.thetimes.co.uk","www.elpais.es").imprimir_llista(); // error
  w.cami_optim("www.tinet.org","www.urv.es").imprimir_llista(); // "www.tinet.org","www.elmundodeportivo.es","www.lavanguardia.es","www.urv.es"
  w.cami_optim("www.thetimes.co.uk","www.marca.es").imprimir_llista(); // "www.thetimes.co.uk","www.agentlink.org","www.diaridetarragona.es","www.marca.es"
  w.cami_optim("www.thetimes.co.uk","www.nytimes.com").imprimir_llista(); // "www.thetimes.co.uk","www.nytimes.com"
  
  System.out.println(w.nombre_minim_links("www.thetimes.co.uk","www.avui.es")); // 3
  System.out.println(w.nombre_minim_links("www.thetimes.co.uk","www.urv.es")); // 2
  //System.out.println(w.nombre_minim_links("www.urv.es","www.thetimes.co.uk")); // error
  //System.out.println(w.nombre_minim_links("www.thetimes.co.uk","www.elpais.es")); // error
  System.out.println(w.nombre_minim_links("www.tinet.org","www.urv.es")); //1
  System.out.println(w.nombre_minim_links("www.thetimes.co.uk","www.marca.es")); // 3
  System.out.println(w.nombre_minim_links("www.thetimes.co.uk","www.nytimes.com")); // 1
 }
}
